{ pkgs, ... }:

{
  environment = {
    sessionVariables = {
      # Required for some Rust dependencies, like reqwest
      PKG_CONFIG_PATH = "${pkgs.openssl.dev}/lib/pkgconfig";
    };

    systemPackages = with pkgs; [
      jetbrains.rust-rover
      rustup
      gcc
      pkg-config # Required for some Rust dependencies
    ];
  };
}
